require File.dirname(__FILE__) + '/../../../../../spec_helper'

include OpenEHR::RM::DataStructures::ItemStructure
include OpenEHR::RM::DataStructures::ItemStructure::Representation
include OpenEHR::RM::DataTypes::Text

describe ItemTree do
  before(:each) do
    items = %w{one two}.collect do |name|
      Element.new(:name => DvText.new(name),
                  :archetype_node_id => 'test')
    end
    name = DvText.new('item tree')
    @item_tree = ItemTree.new(:name => name,
                              :archetype_node_id => 'test',
                              :items => items)
  end

  it 'should be an instance of ItemTree' do
    @item_tree.should be_an_instance_of ItemTree
  end

  it 'first item name should be one' do
    @item_tree.items[0].name.value.should == 'one'
  end

  it 'has valid element path' do
  end
end
